import request from '@/utils/request'

// 查询在线电子卡价格列表
export function listBBusiEcardPrice(query) {
  return request({
    url: '/back/bBusiEcardPrice/list',
    method: 'get',
    params: query
  })
}

// 查询在线电子卡价格详细
export function getBBusiEcardPrice(id) {
  return request({
    url: '/back/bBusiEcardPrice/' + id,
    method: 'get'
  })
}

// 新增在线电子卡价格
export function addBBusiEcardPrice(data) {
  return request({
    url: '/back/bBusiEcardPrice',
    method: 'post',
    data: data
  })
}

// 修改在线电子卡价格
export function updateBBusiEcardPrice(data) {
  return request({
    url: '/back/bBusiEcardPrice',
    method: 'put',
    data: data
  })
}

// 删除在线电子卡价格
export function delBBusiEcardPrice(id) {
  return request({
    url: '/back/bBusiEcardPrice/' + id,
    method: 'delete'
  })
}

// 导出在线电子卡价格
export function exportBBusiEcardPrice(query) {
  return request({
    url: '/back/bBusiEcardPrice/export',
    method: 'get',
    params: query
  })
}
